Post-Trade Data
curl --request GET \
--url https://api.kraken.com/0/public/PostTradeimport requests
url = "https://api.kraken.com/0/public/PostTrade"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kraken.com/0/public/PostTrade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/public/PostTrade"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": {
"last_ts": "2024-05-30T12:34:56.123456789Z",
"count": 500,
"trades": [
{
"trade_id": "TGBB7L-HT5LX-J3BZ4A",
"price": "102002.1",
"quantity": "1.24",
"symbol": "BTC/USD",
"description": "Bitcoin / US Dollars",
"base_asset": "BTC",
"base_notation": "UNIT",
"quote_asset": "USD",
"quote_notation": "MONE",
"trade_venue": "PGSL",
"trade_ts": "2024-05-30T12:34:56.123456789Z",
"publication_venue": "PGSL",
"publication_ts": "2024-05-30T12:34:56.123456789Z"
}
]
},
"error": [
"EGeneral:Invalid arguments"
]
}Transparency
Post-Trade Data
Returns a list of trades on the spot exchange. If no filter parameters are specified, the last 1000 trades for all pairs are received.
GET
/
public
/
PostTrade
Post-Trade Data
curl --request GET \
--url https://api.kraken.com/0/public/PostTradeimport requests
url = "https://api.kraken.com/0/public/PostTrade"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kraken.com/0/public/PostTrade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/public/PostTrade"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": {
"last_ts": "2024-05-30T12:34:56.123456789Z",
"count": 500,
"trades": [
{
"trade_id": "TGBB7L-HT5LX-J3BZ4A",
"price": "102002.1",
"quantity": "1.24",
"symbol": "BTC/USD",
"description": "Bitcoin / US Dollars",
"base_asset": "BTC",
"base_notation": "UNIT",
"quote_asset": "USD",
"quote_notation": "MONE",
"trade_venue": "PGSL",
"trade_ts": "2024-05-30T12:34:56.123456789Z",
"publication_venue": "PGSL",
"publication_ts": "2024-05-30T12:34:56.123456789Z"
}
]
},
"error": [
"EGeneral:Invalid arguments"
]
}Query Parameters
Filter the results to the currency pair.
Filter the results to include the trades after this timestamp.
Filter the results to include the trades before or at this timestamp.
The maximum number of trades to return.
Required range:
1 <= x <= 1000Was this page helpful?